# Class BasePlayerError`Abstract`

#### Hierarchy (view full)

- BasePlayerError
  - AdsError
  - EmeError

#####
Index

### Constructors

constructor

### Properties

category
code

## Constructors

### constructor

- new BasePlayerError(): BasePlayerError

- #### Returns BasePlayerError

## Properties

### `Readonly` `Abstract` category

category: ErrorCategory

### `Readonly` `Abstract` code

code: ErrorCode